package net.wicp.tams.duckula.ops.beans;

import java.util.List;

import com.alibaba.fastjson.JSONArray;

import lombok.Data;
import net.wicp.tams.app.duckula.controller.bean.models.SysUser;
import net.wicp.tams.common.constant.dic.YesOrNo;

@Data
public class SessionBean {
	private YesOrNo isLogin;// 是否登陆
	private SysUser sysUser;
	private List<Long> roles;// 此用户拥有的角色
	private JSONArray modules;// 此用户拥有的模块

	/***
	 * 得到租户
	 * 
	 * @return
	 */
	public Long getTenantId() {
		return this.sysUser.getTenantId();
	}

	// 是不是超级管理员1405760902957436930是超级管理员
	public boolean isSuperUser() {
		return roles.contains(1405760902957436930l);
	}
}
